#!/usr/bin/env bash

# Read in language
source ${BBROOTDIR}/lang/${BBLANG}/data_menu.lang

# Read in common functions
source ${BBROOTDIR}/misc/commonfunctions.sh

# Checks number of devices
dev_check()
{
if [[ "${BBNUMDEV}" == 1 ]]; then
	insert_new_CD
	continue
fi
}


#This function lets you swap cds if NUMDEV is set to 1
insert_new_CD()
{
while true; do
	echo $bb_dm_newcd
	read temp
	if [[ "$temp" = "" ]]; then
		break
	else
		continue
	fi
done
}

copy_data_cd()
{
if [[ ${BBNUMDEV} == 2 ]]; then
    mkfifo BBCDCOPY
    ${BB_READCD} dev=${BBCDROM} f=BBCDCOPY | ${BB_CDBURNCMD} dev=${BBCDWRITER} ${BBDTAO} -v -data -eject BBCDCOPY
    echo $bb_dm_ch2_5
    rm BBCDCOPY
    wait_for_enter
    break
elif 	$(find ${BBBURNDIR} -iname *iso) =! "" &> /dev/null; then	# Does an ISO file exist?
    echo "$bb_dm_ch2_2${BBBURNDIR}.$bb_dm_ch2_3"
    echo $bb_dm_ch2_4
    wait_for_enter
    break
else
    echo "$bb_dm_cdcopy${BBBURNDIR}..."
    if eval "${BB_READCD} ${BB_READCD_OPTS} dev=$BBCDROM f=\"$BBBURNDIR\"/BashBurn.iso"; then
	insert_new_CD

	check_cd_status
	ask_for_blanking

	${BB_CDBURNCMD} dev=${BBCDWRITER} ${BBDTAO} -v -data -eject "$BBBURNDIR"/BashBurn.iso 
	rm ${BBBURNDIR}/BashBurn.iso
	echo $bb_dm_ch2_5
	wait_for_enter
	break
    else
	echo $bb_dm_cdcopy_err1
	echo $bb_dm_cdcopy_err2
	wait_for_enter
	break
    fi
fi
}

#####PROGRAM START#####
while true; do
        # <colors>
	#source "$BBROOTDIR"/misc/colors.idx
        # </colors>
	clear
        # <table>
        echo -e "${BBTABLECOLOR}${BBDECOLINE}"
        echo -e "${BBTABLECOLOR}|${BBHEADCOLOR} ${BBVERSION} ${BBTABLECOLOR}|"
        echo -e "${BBTABLECOLOR}${BBDECOLINE}"
        echo -e "${BBTABLECOLOR}|"
        echo -e "${BBTABLECOLOR}|-(${BBSUBCOLOR}$bb_dm_menu_title${BBTABLECOLOR})"
        echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 1) $bb_dm_menu_1"
        echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 2) $bb_dm_menu_2"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 3) $bb_dm_menu_3"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 0) $bb_dm_menu_0"
        echo -e "${BBTABLECOLOR}|"
	echo -n -e "${BBINPUTCOLOR}$bb_dm_menu_entry[0-3] |>${BBMAINCOLOR} "
        read action
        echo -e "${BBCOLOROFF}"
        # </table>

 case $action in  
                1)      # Burn data
                        ${BBROOTDIR}/burning/burning.sh --data
                ;;
		2)	# Copy data cd
			copy_data_cd
		;;
                3)      # Burn data DVD
	                ${BBROOTDIR}/burning/burning.sh --dvddata
		;;
                0)	# Quit
	                break     
                ;;
                *)      # Bad choice
			echo "$bb_dm_error[0-3]"
			wait_for_enter
			continue
                ;;
        esac
done
