#!/usr/bin/env bash

# Read in language
source ${BBROOTDIR}/lang/${BBLANG}/iso_menu.lang

# Read in common functions
source ${BBROOTDIR}/misc/commonfunctions.sh

# Check whether ISO files exist
check_for_iso()
{
	existing="no"
	cd ${BBBURNDIR}
	while read ISOFILES; do
        	existing="yes"
	done < <(find ${BBBURNDIR} -iname "*.[Ii][Ss][Oo]" | sort)
}

create_iso_from_dir()
{
    if [`ls ${BBBURNDIR}` = ""]; then
	echo "$bb_im_error_files $BBBURNDIR"
	wait_for_enter
    else
	# Does an ISO file exist?
	check_for_iso
	if [ $existing = "no" ]; then
	# Creating ISO from files
	    echo; echo $bb_im_ch2_4
	#### i want a question regarding the BBLABEL ####
	    if [ "$BBLABEL" = "<ask-me>" ]; then
		read -p "$bb_im_ch2_4b" BBLABEL
	    fi
	    
	    if eval "${BB_ISOCMD} -r -f -v -J -hide-joliet-trans-tbl -copyright \"$BBCOPYRIGHT\" \
	    -A \"$BBDESCRIPTION\" -p \"$BBAUTHOR\" -publisher \"$BBPUBLISHER\" \
				-volset \"$BBNAMEOFPACKAGE\" -V \"$BBLABEL\" \
	    -o ${BBBURNDIR}/BashBurn.iso ${BBBURNDIR}"; then
		echo $bb_im_ch2_5
		wait_for_enter
		continue
	    else		#Some error occured
		echo $bb_im_ch2_6
		echo $bb_im_ch2_7
		wait_for_enter
		break
	    fi
	else
	    echo "$bb_im_ch2_1${BBBURNDIR}.$bb_im_ch2_2"
	    echo $bb_im_ch2_3
	    wait_for_enter
	fi
    fi
}

create_iso_from_cd()
{
	# Does an ISO file exist?
	check_for_iso
	if [ $existing = "no" ]; then
	
	echo "$bb_im_ch3_2${BBCDROM}"
	# Creating ISO using readcd      
	if eval "${BB_READCD} ${BB_READCD_OPTS} dev=${BBCDROM} f=${BBBURNDIR}/BashBurn.iso"; then
	    echo $bb_im_ch2_5
	    wait_for_enter
	else
	    echo $bb_im_ch2_6
	    echo $bb_im_ch2_7
	    wait_for_enter
	    break
	fi
    else
	echo "$bb_im_ch2_1${BBBURNDIR}.$bb_im_ch2_2"
	echo $bb_im_ch2_3
	wait_for_enter
    fi
}
 

####PROGRAM START#####
while true; do
        # <colors>
	#source "$BBROOTDIR"/misc/colors.idx
        # </colors>
    clear
        # <table>
    echo -e "${BBTABLECOLOR}${BBDECOLINE}"
    echo -e "${BBTABLECOLOR}|${BBHEADCOLOR} ${BBVERSION} ${BBTABLECOLOR}|"
    echo -e "${BBTABLECOLOR}${BBDECOLINE}"
    echo -e "${BBTABLECOLOR}|"
    echo -e "${BBTABLECOLOR}|-(${BBSUBCOLOR}$bb_im_menu_title${BBTABLECOLOR})"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 1) $bb_im_menu_1"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 2) $bb_im_menu_2${BBBURNDIR}"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 3) $bb_im_menu_3"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 4) $bb_im_menu_4"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 0) $bb_im_menu_0"
    echo -e "${BBTABLECOLOR}|"
    echo -n -e "${BBINPUTCOLOR}$bb_im_menu_entry[0-4] |>${BBMAINCOLOR} "
    read action
    echo -e "${BBCOLOROFF}"
        # </table>
    
    case $action in
	1)      # Burn ISO
	    ${BBROOTDIR}/burning/burning.sh --iso
	    ;;
	2)	#Create ISO from BBBURNDIR
	    create_iso_from_dir
	    ;;
	3)	# Create ISO from cd
	    create_iso_from_cd
	    ;;
	4)      # Burn DVD image
	    ${BBROOTDIR}/burning/burning.sh --dvdimage
	    ;;
	0)      # Quit
	    break
	    ;;
	*)	#You chose wrong stupid!
	    echo "$bb_im_error[0-4]"
	    wait_for_enter
	    continue
	    ;;
    esac
done
